=head1 NAME

Gtk2::MenuToolButton

=head1 HIERARCHY

  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::ToolItem
                                +----Gtk2::ToolButton
                                     +----Gtk2::MenuToolButton

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface


=head1 METHODS

=head2 toolitem = Gtk2::MenuToolButton-E<gt>B<new> ($icon_widget, $label)

=over

=over

=item * $icon_widget (Gtk2::Widget or undef) 

=item * $label (string or undef) 

=back

=back

=head2 toolitem = Gtk2::MenuToolButton-E<gt>B<new_from_stock> ($stock_id)

=over

=over

=item * $stock_id (string) 

=back

=back

=head2 $button-E<gt>B<set_arrow_tooltip> ($tooltips, $tip_text, $tip_private)

=over

=over

=item * $tooltips (Gtk2::Tooltips) 

=item * $tip_text (string) 

=item * $tip_private (string) 

=back

=back

=head2 widget or undef = $button-E<gt>B<get_menu> 

=over

=back

=head2 $button-E<gt>B<set_menu> ($menu)

=over

=over

=item * $menu (Gtk2::Widget or undef) 

=back

=back


=head1 PROPERTIES

=over

=item 'menu' (Gtk2::Menu : readable / writable / private)

The dropdown menu

=back


=head1 SIGNALS

=over

=item B<show-menu> (Gtk2::MenuToolButton)

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::Object::_Unregistered::GInitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::ToolItem>, L<Gtk2::ToolButton>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

